camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Achim Nierbeck <bcanh...@googlemail.com>
Subject Re: Karaf 2.2.3 and Camel 2.8.0
Date Sat, 03 Sep 2011 19:38:40 GMT
Hi JB,

I'm +1 on that one, often I was missing the spring-tx feature in the 
first place :)

regards, Achim

Am 03.09.2011 18:54, schrieb Jean-Baptiste Onofré:
> Hi,
>
> I checked the issue and the problem is about the spring-tx bundle.
>
> spring-tx bundle is not installed by a Karaf features, the first 
> feature which install it is camel-jms (part of the camel-spring).
>
> That's why we have a bundle version mismatch between the spring 
> bundles provides by Karaf spring* features, and the one provided by 
> Camel features.
>
> I think that it makes sense that Karaf provides all Spring* features, 
> convering all spring bundle, and Camel just "uses" it.
>
> I'm going to discuss with the team to see how we move.
>
> Regards
> JB
>
> On 09/02/2011 10:50 PM, mgardiner wrote:
>> I have recently tried using Karaf 2.2.3 which has just updated to use 
>> Spring
>> 3.0.6.RELEASE and we are now getting conflicts in camel-jms 2.8.0 
>> because
>> two versions of spring are available.  With a new camel release 
>> underway are
>> you considering upgrading camel to spring 3.0.6.RELEASE?
>>
>> Thanks.
>>
>> Here's the output
>>
>> Error executing command: Could not start bundle
>> mvn:org.apache.camel/camel-jms/2.8.0 in feature(s) camel-jms-2.8.0: 
>> Unable
>> to resolve module org.apache.camel.camel-jms [88.0] because it is 
>> exposed to
>> package 'org.springframework.util' from org.springframework.core 
>> [82.0] and
>> org.springframework.core [43.0] via two dependency chains.
>>
>> Chain 1:
>>    org.apache.camel.camel-jms [88.0]
>>      import:
>> (&(package=org.springframework.util)(version>=3.0.0)(!(version>=4.0.0)))
>>       |
>>      export: package=org.springframework.util
>>    org.springframework.core [82.0]
>>
>> Chain 2:
>>    org.apache.camel.camel-jms [88.0]
>>      import:
>> (&(package=org.apache.camel.impl)(version>=2.8.0)(!(version>=2.9.0)))
>>       |
>>      export: package=org.apache.camel.impl;
>> uses:=org.springframework.jmx.export.annotation
>>    org.apache.camel.camel-core [80.0]
>>      import:
>> (&(package=org.springframework.jmx.export.annotation)(version>=3.0.0)(!(version>=4.0.0)))

>>
>>       |
>>      export: package=org.springframework.jmx.export.annotation;
>> uses:=org.springframework.aop.target
>>    org.springframework.context [48.0]
>>      import:
>> (&(package=org.springframework.aop.target)(version>=3.0.6)(!(version>=3.0.7)))

>>
>>       |
>>      export: package=org.springframework.aop.target;
>> uses:=org.springframework.core
>>    org.springframework.aop [47.0]
>>      import:
>> (&(package=org.springframework.core)(version>=3.0.6)(!(version>=3.0.7)))
>>       |
>>      export: package=org.springframework.core; 
>> uses:=org.springframework.util
>>      export: package=org.springframework.util
>>    org.springframework.core [43.0]
>>
>>
>>
>>
>> -- 
>> View this message in context: 
>> http://camel.465427.n5.nabble.com/Karaf-2-2-3-and-Camel-2-8-0-tp4763828p4763828.html
>> Sent from the Camel - Users mailing list archive at Nabble.com.
>


-- 
--
*Achim Nierbeck*


Apache Karaf<http://karaf.apache.org/>  Committer&  PMC
OPS4J Pax Web<http://wiki.ops4j.org/display/paxweb/Pax+Web/>    Committer&  Project
Lead
blog<http://notizblog.nierbeck.de/>


Mime
View raw message